package taxonomyLookupService;

import java.net.URI;

/**
 * Interface ontology terms.
 */
public interface Ontologies {

	/**
	 * Sub-interface of NCBITaxonmyRecord ontology terms. See http://sswapmeet.sswap.info/NCBITaxonomyRecord.
	 */
	public interface NCBITaxonomyRecord {

		/**
		 * NCBITaxonomyRecord namespace
		 */
		static final String NS = "http://sswapmeet.sswap.info/NCBITaxonomyRecord/";

		/**
		 * NCBITaxonomyRecord TaxonomyRecord class URI
		 */
		static final URI TaxonomyRecordURI = URI.create(NS + "TaxonomyRecord");

		/**
		 * NCBITaxonomyRecord commonName predicate URI
		 */
		static final URI commonNameURI = URI.create(NS + "commonName");

		/**
		 * NCBITaxonomyRecord scientificName predicate URI
		 */
		static final URI scientificNameURI = URI.create(NS + "scientificName");

		/**
		 * NCBITaxonomyRecord recordURL predicate URI
		 */
		static final URI recordURLURI = URI.create(NS + "recordURL");

		/**
		 * NCBITaxonomyRecord taxonomyID predicate URI
		 */
		static final URI taxonomyIDURI = URI.create(NS + "taxonomyID");
	}
}
