<%@ page language="java" import="java.util.*" pageEncoding="ISO-8859-1"%>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <base href="<%=basePath%>">
    
    <title>Taxonomy Lookup Service</title>
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="expires" content="0">    
	<meta http-equiv="keywords" content="taxonomy, NCBI, semantic web service">
	<meta http-equiv="description" content="Taxonomy Lookup Service">
	<!--
	<link rel="stylesheet" type="text/css" href="styles.css">
	-->
	    
    <script language="javascript" type="text/javascript">

		function isNumeric(n) {
			// Source: http://stackoverflow.com/questions/18082/validate-numbers-in-javascript-isnumeric
  			return isFinite(n) && ! isNaN(parseFloat(n));
		}
	
		function onSubmitForm() {

			var userInput = document.getElementById("userInput").value;
			if ( userInput.length == 0 )
				return false;
			
			// generate the query string by completing the name and value for a hidden input tag
			// (query string cannot be part of the submitForm action attribute)
			var queryString = document.getElementById("queryString");
			queryString.name = isNumeric(userInput) ? "taxonomyID" : "commonName";
			queryString.value = userInput.trim();
			
			return true;
		}

	</script>
	
  </head>
  
  <body>
  
    <div align="center">
    
        <h2 align="center">Taxonomy Lookup Service</h2>
    
		<div style="width:66%">
    		
				Enter a common taxon name (such as 'dog', 'cat', or 'barrel medic') or a NCBI
				taxon ID (such as 3880) to search for the corresponding NCBI taxon record at the
				<a href="http://www.ncbi.nlm.nih.gov/Taxonomy">NCBI Taxonomy Database</a>.
				<br><br>
				<form method="GET" id="submitForm" action="TaxonomyLookupService" onSubmit="return onSubmitForm();">
    				Enter a common name or numeric ID for a taxon:&nbsp;&nbsp;
    				<input type="text" id="userInput" size="20" value="barrel medic">&nbsp;&nbsp;
    				<input type="submit" value="Engage Service">
    				<input type="hidden" id="queryString">
				</form>
		</div>
	</div>
  </body>
  
</html>

